org.eclipse.help

## Interface IIndexSee

All Superinterfaces:
  IUAElement

    public interface IIndexSee
    extends IUAElement

An entry that represents a see also node in the index. A see also node must always reference another node.

Since:
  3.5

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getKeyword()`
`IIndexSubpath[]` `getSubpathElements()`
`boolean` `isSeeAlso()` Determines whether the text to be displayed is "see" or "see also"

### Methods inherited from interface org.eclipse.help.IUAElement

`getChildren, isEnabled`

### Method Detail

#### getKeyword

    String getKeyword()

#### isSeeAlso

    boolean isSeeAlso()

Determines whether the text to be displayed is "see" or "see also"

Returns:
  true if this is a "see also", false if this is a "see"

#### getSubpathElements

    IIndexSubpath[] getSubpathElements()

Returns:
  an array of length zero if this see element references an element at the top level of the index, otherwise a list of entries which represent keywords at the second and lower levels of the index tree.